/* GGL - GPUL Game Library
 * Copyright (C) 1998 G.P.U.L. (Group of programmers and users of Linux)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* BASIC
 */
#include <ggi/ggi.h>
#include <ggl/gglbase.h>
#include <ggl/ggltypes.h>
#include <ggl/ggltimeout.h>
#include <ggl/gglmain.h>

/* 2D
 */
#include <ggl/gglanim.h>
#include <ggl/gglframe.h>
#include <ggl/gglscreen.h>
#include <ggl/ggllayer.h>
#include <ggl/gglgraphic.h>
#include <ggl/gglsprite.h>
#include <ggl/gglvisual.h>
#include <ggl/gglcolor.h>
#include <ggl/gglpalette.h>
#include <ggl/gglrectangle.h>
#include <ggl/gglgc.h>

/* 3D
 */
#include <ggl/gglfiller.h>
#include <ggl/gglvertex.h>

/* NETWORK
 */
#include <ggl/gglsocket.h>
#include <ggl/gglclient.h>
#include <ggl/gglserver.h>

/* VIDEO
 */
#include <ggl/gglvideo.h>

/* DEVICES
 */
#include <ggl/ggldevice.h>
#include <ggl/gglobserver.h>
#include <ggl/gglkeydev.h>
#include <ggl/gglmousedev.h>
#include <ggl/ggljoydev.h>
#include <ggl/gglarbiter.h>
