/* GGL - GPUL Game Library
 * Copyright (C) 1998 G.P.U.L. (Group of programmers and users of Linux)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <ggl/gglbase.h>
#include <glib.h>

void *ggl_cast(void *obj,int i, int j,int size)
{
    if ( (i!=j) ||   (size>GGL_BASE(obj)->class_size) ) 
        g_error("GGL: Can't cast between this types");
    return obj;
}

void ggl_do_nothing()
{
}

void ggl_base_set_size(GglBase *base, int size)
{
    base->class_size=size;
    base->id=GGLBASE;
}
